#!/bin/bash
############################################
# Returns a "random" setting urxvt instance.
############################################

COLORES_FONDO=("aliceblue" "aqua" "aquamarine" "azure" "black" "blanchedalmond" "blue" "blueviolet" "brown" "burlywood" "cadetblue" "chocolate" "darkblue" "darkcyan" "darkgoldenrod" "darkgray" "darkgreen" "darkkhaki" "darkmagenta" "darkolivegreen" "darkorange" "darkorchid" "darkred" "darksalmon" "darkseagreen" "darkslateblue" "darkslategray" "darkturquoise" "darkviolet" "deeppink" "deepskyblue" "dimgray" "dodgerblue" "firebrick" "floralwhite" "forestgreen" "fuchsia" "gainsboro" "ghostwhite" "gold" "goldenrod" "gray" "green" "greenyellow" "honeydew" "hotpink" "indianred" "indigo" "ivory" "khaki" "lavender" "lavenderblush" "lawngreen" "lemonchiffon" "lightsteelblue" "lightyellow" "lime" "limegreen" "linen" "magenta" "maroon" "mediumauqamarine" "mediumblue" "mediumorchid" "mediumpurple" "mediumseagreen" "mediumslateblue" "mediumspringgreen" "mediumturquoise" "mediumvioletred" "midnightblue" "mintcream" "mistyrose" "moccasin" "navajowhite" "navy" "oldlace" "olive" "olivedrab" "orange" "orangered" "orchid" "palegoldenrod" "palegreen" "paleturquoise" "palevioletred" "papayawhip" "peachpuff" "peru" "pink" "plum" "powderblue" "purple" "red" "rosybrown" "royalblue" "saddlebrown" "salmon" "sandybrown" "seagreen" "seashell" "sienna" "silver" "skyblue" "slateblue" "slategray" "snow" "springgreen" "steelblue" "tan" "teal" "thistle" "tomato" "turquoise" "violet" "wheat" "white" "whitesmoke" "yellow" "yellowgreen")
COLORES_TXT=("antiquewhite" "beige" "bisque" "chartreuse" "coral" "cornflowerblue" "cornsilk" "cyan" "floralwhite" "fuchsia" "gainsboro" "ghostwhite" "gold" "goldenrod" "" "greenyellow" "honeydew" "ivory" "khaki" "lavender" "lavenderblush" "lawngreen" "lemonchiffon" "lightblue" "lightcoral" "lightcyan" "lightgoldenrodyellow" "lightgreen" "lightgrey" "lightpink" "lightsalmon" "lightseagreen" "lightskyblue" "lightslategray" "lightsteelblue" "lightyellow" "lime" "limegreen" "linen" "magenta" "maroon" "mediumauqamarine" "mediumblue" "mediumorchid" "mediumpurple" "mediumseagreen" "mediumslateblue" "mediumspringgreen" "mediumturquoise" "mediumvioletred" "midnightblue" "mintcream" "mistyrose" "moccasin" "navajowhite" "navy" "oldlace" "olive" "olivedrab" "orange" "orangered" "orchid" "palegoldenrod" "palegreen" "paleturquoise" "palevioletred" "papayawhip" "peachpuff" "peru" "pink" "plum" "powderblue" "purple" "red" "rosybrown" "royalblue" "saddlebrown" "salmon" "sandybrown" "seagreen" "seashell" "sienna" "silver" "skyblue" "slateblue" "slategray" "snow" "springgreen" "steelblue" "tan" "teal" "thistle" "tomato" "turquoise" "violet" "wheat" "white" "whitesmoke" "yellow" "yellowgreen")
FUENTE=(courier fixed "DejaVu Sans" "DejaVu Sans mono")

# This is my setup.
#FUENTE=(Inconsolata courier Coda Cousine "Hammersmith One" "Nova Slim" "Numans" Nunito Ovo Play "Luxi Mono" "Linux Libertine Mono" "Liberation Mono" "Lucida Console" Monospace "Nimbus Mono L" Meriweather metrophobic "Spinnaker" "Nove Flat" Samanata Snippet "Terminus(TTF)" Thabit "Ubuntu Mono")

COLOR_FG=${COLORES_TXT[$RANDOM % ${#COLORES_TXT[*]}]}
COLOR_BG=${COLORES_FONDO[$RANDOM % ${#COLORES_FONDO[*]}]}
FUENTE_NN=${FUENTE[$RANDOM % ${#FUENTE[*]}]}
TRANS="`echo $(($RANDOM % 50))`" && let "TRANS = $TRANS + 15"

exec urxvt -sr -sb -vb +st -tr -cr green -tint $COLOR_BG -pr green -pr2 $COLOR_FG -sh $TRANS -bg $COLOR_BG -fg $COLOR_FG -fn "xft:$FUENTE_NN:pixelsize=12:antialias=true:hinting=true" &&
exit 0
